io.flutter.embedding.engine.systemchannels

## Class TextInputChannel.TextEditState

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.TextInputChannel.TextEditState

- Enclosing class:
    TextInputChannel

      public static class TextInputChannel.TextEditState
      extends Object

  State of an on-going text editing session.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `composingEnd`
    `int` | `composingStart`
    `int` | `selectionEnd`
    `int` | `selectionStart`
    `String` | `text`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextEditState(String text, int selectionStart, int selectionEnd, int composingStart, int composingEnd)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextInputChannel.TextEditState` | `fromJson(JSONObject textEditState)`
    `boolean` | `hasComposing()`
    `boolean` | `hasSelection()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### text

          @NonNull
          public final String text

    - #### selectionStart

          public final int selectionStart

    - #### selectionEnd

          public final int selectionEnd

    - #### composingStart

          public final int composingStart

    - #### composingEnd

          public final int composingEnd

  - ### Constructor Detail

    - #### TextEditState

          public TextEditState(@NonNull
                               String text,
                               int selectionStart,
                               int selectionEnd,
                               int composingStart,
                               int composingEnd)
                        throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

  - ### Method Detail

    - #### fromJson

          public static TextInputChannel.TextEditState fromJson(@NonNull
                                                                JSONObject textEditState)
                                                         throws JSONException

      Throws:
        `JSONException`

    - #### hasSelection

          public boolean hasSelection()

    - #### hasComposing

          public boolean hasComposing()